文档API 参考

Rust · 0.1.0

UserWebhook

应用协议结构。字段名称及继承的描述保留原始语言。

此结构在哪里使用

以下链接根据协议快照中的直接引用生成。认证、可写字段和运行行为应以调用操作为准;可复用资源结构本身并不是完整的写入请求。

被以下组件结构引用:

结构与字段

object

UserWebhook represents a webhook owned by a user.

字段类型 / 是否必需描述
namestringThe name of the webhook. Format: users/{user}/webhooks/{webhook}
urlstringThe URL to send the webhook to.
displayNamestringOptional. Human-readable name for the webhook.
createTimestring (date-time)The creation time of the webhook.
updateTimestring (date-time)The last update time of the webhook.
signingSecretstringOptional. Signing secret used to HMAC-SHA256 sign the webhook request body. This field is input-only; it is never returned in responses.
signingSecretSetbooleanWhether a signing secret is configured for this webhook.

完整结构

约束与嵌套结构请以这份完整 JSON 定义为准。字段出现在这里,并不意味着每位调用者都能修改它。

{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "description": "The name of the webhook.\n Format: users/{user}/webhooks/{webhook}"
    },
    "url": {
      "type": "string",
      "description": "The URL to send the webhook to."
    },
    "displayName": {
      "type": "string",
      "description": "Optional. Human-readable name for the webhook."
    },
    "createTime": {
      "readOnly": true,
      "type": "string",
      "description": "The creation time of the webhook.",
      "format": "date-time"
    },
    "updateTime": {
      "readOnly": true,
      "type": "string",
      "description": "The last update time of the webhook.",
      "format": "date-time"
    },
    "signingSecret": {
      "writeOnly": true,
      "type": "string",
      "description": "Optional. Signing secret used to HMAC-SHA256 sign the webhook request body.\n This field is input-only; it is never returned in responses."
    },
    "signingSecretSet": {
      "readOnly": true,
      "type": "boolean",
      "description": "Whether a signing secret is configured for this webhook."
    }
  },
  "description": "UserWebhook represents a webhook owned by a user."
}